/* *********************************************************************** *
 * project: org.matsim.*
 * ActivityWrapperFacility.java
 *                                                                         *
 * *********************************************************************** *
 *                                                                         *
 * copyright       : (C) 2012 by the members listed in the COPYING,        *
 *                   LICENSE and WARRANTY file.                            *
 * email           : info at matsim dot org                                *
 *                                                                         *
 * *********************************************************************** *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *   See also COPYING, LICENSE and WARRANTY file                           *
 *                                                                         *
 * *********************************************************************** */
package org.matsim.core.router;

import java.util.Map;

import org.matsim.api.core.v01.Coord;
import org.matsim.api.core.v01.Id;
import org.matsim.api.core.v01.population.Activity;
import org.matsim.core.api.experimental.facilities.Facility;

/**
 * When ActivityFacilities are not used, use this class
 * to wrap activity geographical information (coord and linkid)
 * in a facility interface (for example to pass to the router)
 * @author thibautd
 */
public class ActivityWrapperFacility implements Facility {
	private final Activity wrapped;

	public ActivityWrapperFacility( final Activity toWrap ) {
		wrapped = toWrap;
	}

	@Override
	public Coord getCoord() {
		return wrapped.getCoord();
	}

	@Override
	public Id getId() {
		throw new UnsupportedOperationException();
	}

	@Override
	public Map<String, Object> getCustomAttributes() {
		throw new UnsupportedOperationException();
	}

	@Override
	public Id getLinkId() {
		return wrapped.getLinkId();
	}
}

