/**
 * This package contains classes that can directly be started from the command
 * line and that do something useful.
 * <br>
 * All the classes in this package should contain a main-method that
 * parses arguments, displays a short usage-note if arguments are missing or
 * make no sense, and otherwise do some (hopefully useful) work.
 * <br>
 * The code for the actual work these classes do should not be within this
 * package, but in other packages (e.g. {@link org.matsim.analysis},
 * {@link org.matsim.population.algorithms}, ...). In this package are really only
 * classes with main-methods that offer some functionality to the outside by
 * using code from other packages.
 * <br>
 * <b>Please contact Marcel Rieser before you put anything into this directory.</b>
 */
package org.matsim.run;
